{
    "namespace": "chest",
    "chest_label": {
    "$new_container_title|default": "$container_title",
    "text": "$new_container_title"
  },
     "precision_hopper_filter_panel": {
        "type": "panel",
        "controls": [
          { "container_gamepad_helpers@common.container_gamepad_helpers": {} },
          {
            "flying_item_renderer@common.flying_item_renderer": {
              "layer": 14
            }
          },
          { "selected_item_details_factory@common.selected_item_details_factory": {} },
          { "item_lock_notification_factory@common.item_lock_notification_factory": {} },
          {
    "root_panel@common.root_panel": {
              "layer": 1,
              "size": [176,166],
              "controls": [
    {"bg":{
    "type": "image",
    "texture": "textures/ui/bg",
    "offset": [ 0, 3]
                }},
                {
            "screen@common.close_button": {
             "offset": [ 77.5, 3],
               "anchor_from": "top_middle",
              "anchor_to": "top_middle"
                }},
                {
                  "chest_panel": {
                    "type": "panel",
                    "layer": 5,
                    "offset": [0, 0],
                    "controls": [
                      { "panel_top_half@precision_hopper_filter.precision_hopper_filter_panel_top_half": {} },
                      { "inventory_panel_bottom_half@common.inventory_panel_bottom_half": {} },
                      { "hotbar_grid@common.hotbar_grid_template": {
                      } },
                      { "inventory_take_progress_icon_button@common.inventory_take_progress_icon_button": {} }
                    ]
                  }
                },
                { "inventory_selected_icon_button@common.inventory_selected_icon_button": {} },
                { "gamepad_cursor@common.gamepad_cursor_button": {} }
              ]
            }
          }
        ]
      },
     "autocrafter_panel": {
        "type": "panel",
        "controls": [
          { "container_gamepad_helpers@common.container_gamepad_helpers": {} },
          {
            "flying_item_renderer@common.flying_item_renderer": {
              "layer": 14
            }
          },
          { "selected_item_details_factory@common.selected_item_details_factory": {} },
          { "item_lock_notification_factory@common.item_lock_notification_factory": {} },
          {
    "root_panel@common.root_panel": {
              "layer": 1,
              "size": [176,166],
              "controls": [
    {"bg":{
    "type": "image",
    "texture": "textures/ui/bg",
    "offset": [ 0, 3]
                }},
                {
            "screen@common.close_button": {
             "offset": [ 77.5, 3],
               "anchor_from": "top_middle",
              "anchor_to": "top_middle"
                }},
                {
                  "chest_panel": {
                    "type": "panel",
                    "layer": 5,
                    "offset": [0, 0],
                    "controls": [
                      { "panel_top_half@autocrafter_screen.autocrafter_controller": {} },
                      { "inventory_panel_bottom_half@common.inventory_panel_bottom_half": {} },
                      { "hotbar_grid@common.hotbar_grid_template": {
                      } },
                      { "inventory_take_progress_icon_button@common.inventory_take_progress_icon_button": {} }
                    ]
                  }
                },
                { "inventory_selected_icon_button@common.inventory_selected_icon_button": {} },
                { "gamepad_cursor@common.gamepad_cursor_button": {} }
              ]
            }
          }
        ]
      },


      "small_chest_screen": {
        "$new_container_title|default": "$container_title",
        "modifications": [
          {
              "array_name": "variables",
              "operation": "insert_back",
              "value": {
                  "requires": "($new_container_title = 'autocrafter')",
                  "$screen_content": "chest.autocrafter_panel",
                  "$screen_bg_content": "common.screen_background"
              }
          },
          {
            "array_name": "variables",
              "operation": "insert_back",
              "value": {
               "requires": "($new_container_title = 'autocrafter' and $pocket_screen)",
               "$screen_content": "chest.autocrafter_panel",
               "$screen_bg_content": "common.screen_background"
            }
          },
          {
              "array_name": "variables",
              "operation": "insert_back",
              "value": {
                  "requires": "($new_container_title = 'precision_hopper_filter')",
                  "$screen_content": "chest.precision_hopper_filter_panel",
                  "$screen_bg_content": "common.screen_background"
              }
          },
          {
            "array_name": "variables",
              "operation": "insert_back",
              "value": {
               "requires": "($new_container_title = 'precision_hopper_filter' and $pocket_screen)",
               "$screen_content": "chest.precision_hopper_filter_panel",
               "$screen_bg_content": "common.screen_background"
            }
          },
          {
              "array_name": "variables",
              "operation": "insert_back",
              "value": {
                  "requires": "($new_container_title = 'filtered_observer')",
                  "$screen_content": "chest.precision_hopper_filter_panel",
                  "$screen_bg_content": "common.screen_background"
              }
          },
          {
            "array_name": "variables",
              "operation": "insert_back",
              "value": {
               "requires": "($new_container_title = 'filtered_observer' and $pocket_screen)",
               "$screen_content": "chest.precision_hopper_filter_panel",
               "$screen_bg_content": "common.screen_background"
            }
          }
    ]
  }
}